Last Comment Bug 489246 - Add Search Functionality to Gallery
: Add Search Functionality to Gallery
Status: VERIFIED FIXED
:
Product: Websites Graveyard
Classification: Graveyard
Component: getpersonas.com (show other bugs)
: other
: x86 All
: P2 normal (vote)
: 1.6
Assigned To: Ryan Doherty (:rdoherty)
:
Mentors:
http://sm-weave-proxy01.services.mozi...
Depends on: 493979
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 15:07 PDT by Toby Elliott [:telliott]
Modified: 2013-05-07 21:49 PDT (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot (35.04 KB, image/png)
2009-06-30 16:43 PDT, Ryan Doherty (:rdoherty)
no flags Details
Post-fix screenshot, IE 7 (546.94 KB, image/png)
2009-07-01 15:36 PDT, Stephen Donner [:stephend] - PTO; back on 5/28
no flags Details

Description Toby Elliott [:telliott] 2009-04-20 15:07:19 PDT
New form for search. We can't push it up to the main server, but moving into place for deployment on personas.services at some time.

Form itself needs a little love. It's lnes 81-83 in server/viewpersonas.php, but if you want to make it more complex, we can pull it out into a template easily enough.
Comment 1 Ryan Doherty (:rdoherty) 2009-05-15 18:28:11 PDT
Styled the submit button. Not sure what else to do, there's not much to a search form :)
Comment 2 Stephen Donner [:stephend] - PTO; back on 5/28 2009-05-15 21:58:37 PDT
(In reply to comment #1)
> Styled the submit button. Not sure what else to do, there's not much to a
> search form :)

Well, if you really wanted to, you could style it like the small, yellow search form on the right of https://support.mozilla.com/tiki-login_scr.php (but thinner; basically just putting a border around the text-input field), but I'm not trying to add more work for you :-)

I do think, however, we should list the search-term criteria by which users can search -- that's a separate bug.
Comment 3 Ryan Doherty (:rdoherty) 2009-05-19 09:41:01 PDT
(In reply to comment #2)
> Well, if you really wanted to, you could style it like the small, yellow search
> form on the right of https://support.mozilla.com/tiki-login_scr.php (but
> thinner; basically just putting a border around the text-input field), but I'm
> not trying to add more work for you :-)

That kind of design is fine for when the search form is in a sidebar, but since this is a page, I don't think it will work.

> 
> I do think, however, we should list the search-term criteria by which users can
> search -- that's a separate bug.

Yeah, this is a good idea, can do.
Comment 4 Ryan Doherty (:rdoherty) 2009-06-09 10:54:31 PDT
Not sure why Reed assigned this to nobody...
Comment 5 Ryan Doherty (:rdoherty) 2009-06-29 15:41:23 PDT
Adding the search box above the category list.
Comment 6 Ryan Doherty (:rdoherty) 2009-06-30 16:43:12 PDT
Created attachment 386147 [details]
screenshot

I found the designs for the Personas website when it still had the search box in it and I thought it looked good, so I did it that way. Screenshot attached, code is committed.
Comment 7 Stephen Donner [:stephend] - PTO; back on 5/28 2009-07-01 01:45:09 PDT
Raymond, please test this with both JavaScript enabled/disabled, and then perhaps with IE 7, and verify it if it's all good; thanks!
Comment 8 raymond [:retornam] (needinfo? me) 2009-07-01 09:47:46 PDT
http://screencast.com/t/OvElHzoU6 this is how it looks on ie 7,
Comment 9 Ryan Doherty (:rdoherty) 2009-07-01 10:52:34 PDT
Fixed, should be up on stage in ~10 mins.
Comment 10 Stephen Donner [:stephend] - PTO; back on 5/28 2009-07-01 15:36:50 PDT
Created attachment 386395 [details]
Post-fix screenshot, IE 7

I'll let Raymond do the final honors in this one.
Comment 11 raymond [:retornam] (needinfo? me) 2009-07-02 16:12:38 PDT
verified fixed on  http://sm-weave-proxy01.services.mozilla.com/gallery/All/Search

Note You need to log in before you can comment on or make changes to this bug.